For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pagination

Some of our endpoints supports pagination. This can be achieved by passing specific params in the request query string. As an example, the code bellow showcases how to use this feature when using the GET /deposits endpoint.

Example Call

// PAGINATED

GET [ENVIRONMENT HOSTNAME]/deposits?page[number]=1&page[size]=1
{
    "total": 1,
    "data": [
        {
            "id": "b22d80d9-0e14-4e4f-8101-881dd7138bc5",
            "identity_id": "7c8867d7-b9b8-40de-86c7-f4a8e4ee566d",
            "amount": "12.000000000000",
            "currency": "USD",
            "blockchain_address": "0x6257EaCbB030ed1B33d11Aa841B2511B1B444937",
            "message": null,
            "status": "waiting",
            "funds_transfer_details": null,
            "reference": null,
            "transferInformation": {
        		    "transferType": "wire",
        		    "bankAccountName": "Josh Smith",
        		    "bankAccountNumber": "38231823182318219",
        		    "routingNumber": "312323123"
        	  },
            "web_hook_url": "https://enfp40vp60yhq.x.pipedream.net",
            "external_id": null,
            "external_system": null,
            "integ_status": "waiting",
            "integ_messages": null,
            "created_at": "2019-11-08T12:19:53.219Z",
            "updated_at": "2019-11-08T12:19:53.219Z"
        }
    ]
}

The following endpoints supports pagination:

Last updated